import { CryptoSession } from './session.js';
import { Request, Response, NextFunction } from 'express';
import { Token } from './token.js';
declare global {
    namespace Express {
        interface Request {
            token: Token;
            session: CryptoSession;
            isAuthenticated: boolean;
        }
        interface Response {
            secure: SecuredSend;
        }
    }
}
export interface SecuredSend {
    send: (payload: string) => Promise<Response>;
    json: (payload: object) => Promise<Response>;
}
export declare function useWithExpress(req: Request, res: Response, next: NextFunction): Promise<void | Response<any, Record<string, any>>>;
export declare function useWithNext(handler: Function): unknown;
export declare function useCryptoSession(req: Request, res: Response): Promise<void>;
//# sourceMappingURL=middleware.d.ts.map